+ Responder ao Tópico



  1. #1

    Padrão Erro na compilação do postfix.

    Olá pessoal ... já instalai varios servidores de email usando o postifix tanto no fedora 3 quanto no 5.
    Hoje me deparei com esse erro que postei abaixo ... tô usando o Fedora 5.

    [[email protected] postfix-2.0.20]# make -f Makefile.init makefiles 'CCARGS=-DHAS_MYSQL -I/usr/include/mysql -DUSE_SASL_AUTH -I/usr/include/sasl' 'AUXLIBS=/usr/lib/libmysqlclient.so -lm -L/usr/lib -R/usr/lib -lsasl2'

    make -f Makefile.in MAKELEVEL= Makefiles
    set -e; for i in src/util src/global src/dns src/master src/postfix src/smtpstone src/sendmail src/error src/pickup src/cleanup src/smtpd src/local src/lmtp src/trivial-rewrite src/qmgr src/smtp src/bounce src/pipe src/showq src/postalias src/postcat src/postconf src/postdrop src/postkick src/postlock src/postlog src/postmap src/postqueue src/postsuper src/nqmgr src/qmqpd src/spawn src/flush src/virtual src/proxymap; do \
    (set -e; echo "[$i]"; cd $i; rm -f Makefile; \
    make -f Makefile.in Makefile MAKELEVEL=) || exit 1; \
    done;
    [src/util]
    (set -e; echo "# DO NOT EDIT"; /bin/sh ../../makedefs && cat Makefile.in) >Makefile
    No <db.h> include file found.
    Install the appropriate db*-devel package first.
    See the RELEASE_NOTES file for more information.
    make: ** [Makefile] Erro 1
    make: ** [Makefiles] Erro 1
    make: ** [makefiles] Erro 2
    [[email protected] postfix-2.0.20]#

    Já procurei na net e não consegui resolver ... dei uma olhada no site oficial do postfix mais não ví nada.

    O que está me parecendo é como se estivesse faltando alguma blibioteca.

  2. #2

    Padrão

    ae fera tu tem que instalar o db4-devel, para poder compilar. este o erro que ta dando.



  3. #3

    Talking

    é possível que esteja reclamando a ausência da berkeley-db:

    Slackware Package Browser: Search results

    salvo engano, está em slackware/l (procure no FILE_LIST)

  4. #4

    Padrão

    Citação Postado originalmente por LinuxKids Ver Post
    ae fera tu tem que instalar o db4-devel, para poder compilar. este o erro que ta dando.
    Bingo ... era justamente o que faltava ... valew ...

    Falow ...